IPCS(1)

NAMN
ipcs - visa information om IPC-faciliteter

SYNOPSIS

ipcs [flaggor]

BESKRIVNING

ipcs visar information om System V:s faciliteter för kommunikation mellan processer. Som standard visas information om alla tre resurserna: delade minnessegment, meddelandeköer och semaforarrayer.

FLAGGOR

-i, --id id
    Visa fullständig information om endast det resurselement som identifieras av id. Denna flagga måste kombineras med en av de tre resursflaggorna: -m, -q eller -s.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

  Resursflaggor

-m, --shmems
    Skriv information om aktiva delade minnessegment.

-q, --queues
    Skriv information om aktiva meddelandeköer.

-s, --semaphores
    Skriv information om aktiva semaforuppsättningar.

-a, --all
    Skriv information om alla tre resurserna (standard).

  Utmatningsformat

Av dessa flaggor är det bara ett som gäller: det sist angivna.

-c, --creator
    Showens skapare och ägare.

-l, --limits
    Visa resursbegränsningar.

-p, --pid
    Visa PID för skaparen och den senaste operatören.

-t, --time
    Information om skrivtid. Tidpunkten för den senaste kontrollåtgärden som ändrade åtkomstbehörigheterna för alla faciliteter, tidpunkten för de senaste msgsnd(2) och msgrcv(2) åtgärderna på meddelandeköer, tidpunkten för de senaste shmat(2) och shmdt(2) åtgärderna på delat minne och tidpunkten för den senaste semop(2) åtgärden på semaforer.

-u, --summary
    Visa statusöversikt.

  Representation

Dessa påverkar endast flaggan -l (--limits).

-b, --bytes
    Print sizes in bytes rather than in human-readable form.

    By default, sizes are shown in units that are powers of 1024 bytes. The formal abbreviations for these units (KiB, MiB, GiB, ...) are further shortened to just their first letter: K, M, G, ....

--human
    Skriv ut storlekar i ett läsbart format.

I ÖVERENSSTÄMMELSE MED

Linux ipcs-verktyget är inte helt kompatibelt med POSIX ipcs-verktyget. Linux-versionen stöder inte POSIX-flaggorna -a, -b och -o, men stöder flaggorna -l och -u som inte definieras av POSIX. En portabel applikation skall inte använda flaggorna -a, -b, -o, -l och -u.

ANTECKNINGAR

Den aktuella implementeringen av ipcs hämtar information om tillgängliga IPC-resurser genom att analysera filerna i /proc/sysvipc. Före util-linux version v2.23 användes en alternativ mekanism: kommandot IPC_STAT i msgctl(2), semctl(2) och shmctl(2). Denna mekanism används också i senare util-linux-versioner i de fall /proc inte är tillgängligt. En begränsning med IPC_STAT-mekanismen är att den endast kan användas för att hämta information om IPC-resurser som användaren har läsbehörighet för.

UPPHOVSPERSONER

SE ÄVEN

ipcmk(1), ipcrm(1), msgrcv(2), msgsnd(2), semget(2), semop(2), shmat(2), shmdt(2), shmget(2), sysvipc(7)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot ipcs ingår i paketet util-linux som kan hämtas från